Transcripts
Transcripts represent written versions of audio content, typically transcribed from call or voicemail recordings made or received on the Spoke platform.
List transcripts
Lists your transcripts. You can restrict the result set using any of the following parameters:
since(unix timestamp): Only return transcripts that were created after the given timestamp.before(unix timestamp): Only return transcripts that were created before the given timestamp.sourceId: Only return transcripts that were created from the given source.sourceContextId: Only return transcripts that were created from the given source's context.
These parameters may be used in combination (i.e. get all transcripts between since and before that were created from a specific source).
This endpoint supports paging. By default the API will return 100 transcripts, configurable up to a maximum of 1000 transcripts at a time. If the result from a previous transcript includes a next value in the result set you can use the value returned as the next parameter in the query string to retrieve the next page of results.
query Parameters
nextOptional next token for object pagination
limitThe number of objects fetched per request. Default to 100, maximum is 1000
sinceGet all matching objects created since (UNIX timestamp)
beforeGet all matching objects created before (UNIX timestamp)
sourceIdOnly return transcripts where the source.id field matches the parameter value
sourceContextIdOnly return transcripts where the source.contextId field matches the parameter value
Headers
AuthorizationAuthorization header bearing the access token
List transcripts › Responses
Transcripts
Get a transcript
Get a transcript resource by ID.
path Parameters
idThe transcript ID
Headers
AuthorizationAuthorization header bearing the access token
Get a transcript › Responses
Transcript
The URLs for resources associated with the transcript
The transcript
Delete a transcript
Delete a transcript resource by ID.
path Parameters
idThe transcript ID
Headers
AuthorizationAuthorization header bearing the access token
Delete a transcript › Responses
Successfully deleted the transcript
Get transcript segments by transcript ID
Get associated transcript segments of a transcript by its ID.
path Parameters
idThe transcript ID
Headers
AuthorizationAuthorization header bearing the access token
Get transcript segments by transcript ID › Responses
Transcript segments